!!  CorrMov
!
!
!%

program CorrMov

  use sep
  use CorrMov_types
  use CorrMov_mod

  implicit none

  interface 
     subroutine param_CorrMov(CorrMov_par)
       use CorrMov_types
       type (CorrMov_param_type) CorrMov_par
     end subroutine param_CorrMov
  end interface
 

  type (CorrMov_param_type) CorrMov_par
  logical adj,add
  integer stat
  character(len=128) tag_data,tag_mod
  integer            :: omp_get_num_threads

  call initpar()

  call from_param('add',add,.false.)
  call from_param('adj',adj,.false.)

!  if(adj) then
!    tag_mod=
!    tag_data=
!  else
!  end if

  call param_CorrMov(CorrMov_par)

  stat=CorrMov_init(CorrMov_par)
!      write(0,*)'after init status=',stat
  stat=CorrMov_oper(adj,add,CorrMov_par)
!      write(0,*)'after oper status=',stat

  stat=CorrMov_clean()

!!$OMP PARALLEL
!!  write(0,*)'In Main: n_threads =',omp_get_num_threads()
!!$OMP END PARALLEL

  stop	

end program CorrMov
